Bug 103792 - FILEOPEN: PPTX: No placeholder text is added to imported, empty title shape.
Summary: FILEOPEN: PPTX: No placeholder text is added to imported, empty title shape.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-11-08 21:29 UTC by Tamás Zolnai
Modified: 2017-08-20 19:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple document with empty title shape (13.94 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-11-08 21:30 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2016-11-08 21:29:39 UTC
Description:
When opening a PPTX file defining an empty Title shape on a normal slide, LO Writer imports the title shape, but does not displays a placeholder text in it, which makes the shape invisible.

Steps to Reproduce:
1.Open attached PPTX file
2.Check the first slide


Actual Results:  
I can't see nothing on the first slide in normal view. However the title shape is there and I can select it if I know where to click.

Expected Results:
Title shape should be visible after import. It should contain the placeholder text: "Click to add Title" and also should have a dashed border, the same as empty title shapes used to have.  


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.87 Safari/537.36
Comment 1 Tamás Zolnai 2016-11-08 21:30:21 UTC
Created attachment 128590 [details]
Simple document with empty title shape
Comment 2 Xisco Faulí 2016-11-09 09:49:49 UTC
Confirmed in

- Version: 5.3.0.0.alpha1+
Build ID: 8a2a3f1032b4e60f7607e3ecb1ff99a6bb9af7f9
CPU Threads: 4; OS Version: Linux 4.2; UI Render: GL; VCL: gtk2; Layout Engine:
new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Regression introduced by:

author	Zolnai Tamás <tamas.zolnai@collabora.com>	2014-09-13 19:01:18 (GMT)
committer	Zolnai Tamás <tamas.zolnai@collabora.com>	2014-09-17 07:59:49 (GMT)
commit	25fb9471552c3b17eb7e9ae622b3ac89e7e997d0 (patch)
tree	042dd1cb6a4cc6e30d048f8e01d11f4e6d8dc078
parent	df9145abe89ae698287facdeb41c0dd3b7758190 (diff)

bnc#584721: Right text inside the title area on master page
With setting bClearText to true the default text used inside
LO will be removed.
Before that change the imported text was appended to the end of
the LO default text.
Now it contains only the imported text.

Adding Cc: to Zolnai Tamás
Comment 3 Commit Notification 2016-11-10 17:51:50 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc024cdd91e3c33eeff8eea22fdef0d90d4dd2c0

tdf#103792: No placeholder text imported for empty title shape

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-11-11 15:37:13 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d337321ac2292d33349a259c895e113f5b366e6&h=libreoffice-5-2

tdf#103792: No placeholder text imported for empty title shape

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 krishna leela 2017-05-30 04:31:18 UTC
verified.
version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 6 Aron Budea 2017-08-19 01:26:44 UTC
Interesting that if you click into the text box, then outside, the placeholder text shrinks.
Comment 7 Aron Budea 2017-08-20 19:38:37 UTC
(In reply to Aron Budea from comment #6)
> Interesting that if you click into the text box, then outside, the
> placeholder text shrinks.
Opened bug 111927 on this.